Listar membros da empresa
curl --request GET \
--url https://api.pipo.health/v1/company/{company-tax-id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipo.health/v1/company/{company-tax-id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipo.health/v1/company/{company-tax-id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"id": "111e2222-e89b-12d3-a456-426614174003",
"profile": {
"name": "João Silva",
"mothers-name": "Maria Silva",
"date-of-birth": "1985-05-15",
"gender": "male",
"marital-status": "married",
"tax-id": "12345678900"
},
"contact": {
"email": "joao.silva@email.com",
"phone": "11987654321"
},
"benefits": [
{
"benefit-id": "333e4444-e89b-12d3-a456-426614174004",
"status": "active",
"company-tax-id": "12345678000190",
"product-id": "456e7890-e89b-12d3-a456-426614174001",
"product-name": "Plano Saúde Premium",
"product-type": "health-insurance",
"carrier-name": "HealthCorp",
"type": "primary",
"start-date": "2024-01-01"
}
],
"work-contracts": [
{
"company-tax-id": "12345678000190",
"admission-date": "2023-12-01",
"work-contract-type": "brazil-labor-law",
"job-title": "Desenvolvedor Senior",
"employee-id": "EMP001",
"income-amount": 800000
}
]
}
]
}{
"error": "Not entitled to access this company"
}Listar membros da empresa
Lista os membros de uma empresa específica.
GET
/
v1
/
company
/
{company-tax-id}
/
members
Listar membros da empresa
Authorizations
Token Bearer obtido em POST /v1/authenticate.
Path Parameters
CNPJ da empresa. CNPJ (Cadastro Nacional da Pessoa Jurídica). Aceita apenas dígitos ou formatado.
Examples:
"12345678000190"
"12.345.678/0001-90"
Query Parameters
Quando true, inclui membros/benefícios inativos.
Filtro no formato <campo>=<valor>, múltiplos filtros concatenados pelo caracter | (lógica OR).
Campos válidos: tax-id (CPF do membro), cost-center (Centro de Custo),
employee-id (Matrícula funcional).
Exemplos:
- Membros do Centro de Custo "Tech-123":
cost-center=Tech-123 - Membros do Centro de Custo "Tech-123" junto dos membros com as matrículas informadas:
cost-center=Tech-123|employee-id=123|employee-id=456 - Membros com CPF 12345678909 e 98765432100:
tax-id=12345678909|tax-id=98765432100
Response
Lista de membros.
Show child attributes
Show child attributes